exploit the possibilities
Showing 1 - 4 of 4 RSS Feed

CVE-2007-4571

Status Candidate

Overview

The snd_mem_proc_read function in sound/core/memalloc.c in the Advanced Linux Sound Architecture (ALSA) in the Linux kernel before 2.6.22.8 does not return the correct write size, which allows local users to obtain sensitive information (kernel memory contents) via a small count argument, as demonstrated by multiple reads of /proc/driver/snd-page-alloc.

Related Files

Ubuntu Security Notice 618-1
Posted Jun 20, 2008
Authored by Ubuntu | Site security.ubuntu.com

Ubuntu Security Notice 618-1 - Memory access issues, buffer overflows, denial of service, race conditions.. all sorts of fun and mayhem has been addressed in the Linux 2.6 kernel branch on Ubuntu.

tags | advisory, denial of service, overflow, kernel
systems | linux, ubuntu
advisories | CVE-2007-4571, CVE-2007-5904, CVE-2007-6694, CVE-2008-0007, CVE-2008-1294, CVE-2008-1375, CVE-2008-1669
MD5 | 20dfc64400b747b73004283b96e6597e
dsa-1505.txt
Posted Feb 23, 2008
Site debian.org

Debian Security Advisory 1505 - Takashi Iwai supplied a fix for a memory leak in the snd_page_alloc module. Local users could exploit this issue to obtain sensitive information from the kernel.

tags | advisory, kernel, local, memory leak
systems | linux, debian
advisories | CVE-2007-4571
MD5 | eb87723bff78c5cb1231ac73609c47e5
Debian Linux Security Advisory 1479-1
Posted Jan 30, 2008
Authored by Debian | Site debian.org

Debian Security Advisory 1479-1 - Several local vulnerabilities have been discovered in the Linux kernel that may lead to a denial of service or the execution of arbitrary code.

tags | advisory, denial of service, arbitrary, kernel, local, vulnerability
systems | linux, debian
advisories | CVE-2007-2878, CVE-2007-4571, CVE-2007-6151, CVE-2008-0001
MD5 | 5c1550f1a6a2e37eaac74a919eeff908
iDEFENSE Security Advisory 2007-09-25.1
Posted Sep 26, 2007
Authored by iDefense Labs, mu-b | Site idefense.com

iDefense Security Advisory 09.25.07 - Local exploitation of an information disclosure vulnerability within the ALSA driver included in the Linux Kernel allows attackers to obtain sensitive information from kernel memory. iDefense has confirmed the existence of this vulnerability in version 2.6.22.1 of the Linux Kernel as installed with Fedora CORE 7. It is suspected that other versions are also vulnerable.

tags | advisory, kernel, local, info disclosure
systems | linux, fedora
advisories | CVE-2007-4571
MD5 | b54ceb0a50118fd13539c52516f922cf
Page 1 of 1
Back1Next

File Archive:

May 2020

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    May 1st
    14 Files
  • 2
    May 2nd
    3 Files
  • 3
    May 3rd
    1 Files
  • 4
    May 4th
    18 Files
  • 5
    May 5th
    15 Files
  • 6
    May 6th
    21 Files
  • 7
    May 7th
    15 Files
  • 8
    May 8th
    19 Files
  • 9
    May 9th
    1 Files
  • 10
    May 10th
    2 Files
  • 11
    May 11th
    18 Files
  • 12
    May 12th
    39 Files
  • 13
    May 13th
    15 Files
  • 14
    May 14th
    17 Files
  • 15
    May 15th
    17 Files
  • 16
    May 16th
    2 Files
  • 17
    May 17th
    2 Files
  • 18
    May 18th
    15 Files
  • 19
    May 19th
    21 Files
  • 20
    May 20th
    15 Files
  • 21
    May 21st
    15 Files
  • 22
    May 22nd
    6 Files
  • 23
    May 23rd
    1 Files
  • 24
    May 24th
    1 Files
  • 25
    May 25th
    2 Files
  • 26
    May 26th
    23 Files
  • 27
    May 27th
    13 Files
  • 28
    May 28th
    18 Files
  • 29
    May 29th
    17 Files
  • 30
    May 30th
    0 Files
  • 31
    May 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2020 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close